<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

/*
     Acerto do atributo Bolsa Familia no cabecalho comum
*/

include "includes/begin.php";

// encontra os registros de bolsa familia de usuarios da cultura

$sql = "SELECT cultura.usuario.codigousuario, tipoatividade, participaatividade, cultura.usuario.idpessoa
        FROM   cultura.usuario, cultura.usuarioatividade 
		WHERE  tipoatividade = '16' and
               cultura.usuario.codigousuario = cultura.usuarioatividade.codigousuario";

$result = pg_query($dbh, $sql);
if (!$result)
    die(pg_last_error());
    
// para cada um  dos usuarios da cultura grava se beneficiario ou nao em pessoa

while ($row = pg_fetch_array($result))
{
	 $idPessoa           = $row["idpessoa"];
     $participaAtividade = $row["participaatividade"];
     
	 if ($participaAtividade == "S")
	 {
	    $bolsaFamilia = "1";
   	    $sql1 = "UPDATE cabcomum.pessoa
                 SET beneficiario_bolsa_familia = '$bolsaFamilia'
                 WHERE id = $idPessoa";
     }
	 else if ($participaAtividade == "N")
          {
             $bolsaFamilia = "0";
           	 $sql1 = "UPDATE cabcomum.pessoa
                      SET beneficiario_bolsa_familia = '$bolsaFamilia'
                      WHERE id = $idPessoa";
          }
	      else
	         $sql1 = "UPDATE cabcomum.pessoa
                      SET beneficiario_bolsa_familia = NULL
                      WHERE id = $idPessoa";


              
     $result1 = pg_query($dbh, $sql1);
     if (!$result1)
         die (pg_last_error());
}
         
include "includes/end.php";

?>

